Bug 981300 - Wrong sort by "sortby" name via Search bar filter
Wrong sort by "sortby" name via Search bar filter
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
vvyazmin@redhat.com
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 08:30 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 14:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 11:34:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Screenshot (367.10 KB, image/png)
2013-07-04 08:30 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-07-04 08:30:10 EDT
Created attachment 768766 [details]
## Screenshot

Description of problem:
Wrong sort by name via Search bar filter

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS4 environment:

RHEVM: rhevm-3.3.0-0.6.master.el6ev.noarch
VDSM: vdsm-4.11.0-89.git8bf916a.el6.x86_64
LIBVIRT: libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. Create VM Pool with 112 Vms from template with “P-temp” name 
2. On “Resource Tabs” select “Virtual Machines” tab
3. “Search Bar” write:
1. Vms: sortby name asc page
2. Vms: sortby name desc page

  
Actual results:
In ascending sort I get following results (see Screenshot):
P-temp-1
P-temp-10
P-temp-100
P-temp-101
P-temp-102
P-temp-103
...
P-temp-109
P-temp-11
P-temp-110
P-temp-111
P-temp-112
P-temp-12
P-temp-13
P-temp-14
P-temp-15
...

Expected results:
Ascending sort should be:
P-temp-1
P-temp-2
P-temp-3
P-temp-4
P-temp-5
...
P-temp-110
P-temp-111
P-temp-112

in 

Descending sort should be:
P-temp-112
P-temp-111
P-temp-110
P-temp-109
P-temp-108
...
P-temp-4
P-temp-3
P-temp-2
P-temp-1


Impact on user:

Workaround:
not exist

Additional info:

Screenshot attached 

/var/log/ovirt-engine/engine.log

/var/log/vdsm/vdsm.log
Comment 1 Itamar Heim 2013-07-04 15:55:51 EDT
I think this was the agreed caveat for not numbering pools with prefixed zero's
Comment 2 Andrew Cathrow 2013-07-08 11:34:23 EDT
(In reply to Itamar Heim from comment #1)
> I think this was the agreed caveat for not numbering pools with prefixed
> zero's


Yes it was.

Closing.

Note You need to log in before you can comment on or make changes to this bug.